## org.apache.fop.layout
Class FontState

    java.lang.Object
      |
      +--org.apache.fop.layout.FontState

public class FontState
extends java.lang.Object

Field Summary
`protected FontInfo` `fontInfo`

Constructor Summary
`FontState(FontInfo fontInfo, java.lang.String fontFamily, java.lang.String fontStyle, java.lang.String fontWeight, int fontSize, int fontVariant)`

Method Summary
`int` `getAscender()`
`int` `getCapHeight()`
`int` `getDescender()`
`java.lang.String` `getFontFamily()`
`FontInfo` `getFontInfo()`
`java.lang.String` `getFontName()`
`int` `getFontSize()`
`java.lang.String` `getFontStyle()`
`int` `getFontVariant()`
`java.lang.String` `getFontWeight()`
`java.util.Hashtable` `getKerning()`
`int` `getXHeight()`
`int` `width(int charnum)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontInfo

    protected FontInfo fontInfo

Constructor Detail

### FontState

    public FontState(FontInfo fontInfo,
                     java.lang.String fontFamily,
                     java.lang.String fontStyle,
                     java.lang.String fontWeight,
                     int fontSize,
                     int fontVariant)
              throws FOPException

Method Detail

### getAscender

    public int getAscender()

### getCapHeight

    public int getCapHeight()

### getDescender

    public int getDescender()

### getFontName

    public java.lang.String getFontName()

### getFontSize

    public int getFontSize()

### getFontWeight

    public java.lang.String getFontWeight()

### getFontFamily

    public java.lang.String getFontFamily()

### getFontStyle

    public java.lang.String getFontStyle()

### getFontVariant

    public int getFontVariant()

### getFontInfo

    public FontInfo getFontInfo()

### getXHeight

    public int getXHeight()

### getKerning

    public java.util.Hashtable getKerning()

### width

    public int width(int charnum)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.